## wxwindows2.4 2.4.4.1.1ubuntu2

=== debian/changelog ===
wxwindows2.4 (2.4.4.1.1ubuntu2) dapper; urgency=low

  * debian/rules: Use " instead of ' in sed regexp expressions, which
    actually doesn't generate bogus python-wxgtk2.4.{postinst,prerm}.
    If you were bitten by the "zero-byte postinst/prerm bug" (in
    2.4.4.1.1ubuntu1), you should forcibly remove
    /var/lib/dpkg/info/python-wxgtk2.4.{postinst,prerm} by hand then
    upgrade.

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Tue, 10 Jan 2006 04:27:27 -0800

wxwindows2.4 (2.4.4.1.1ubuntu1) dapper; urgency=low

  * Resynchronise with Debian: The only differences between this Ubuntu
    revision and Debian's are in:
    - debian/control.in: Build-Depends: Use libgl1-mesa-dev, and have
      python-wxgtk2.4 provide python-wx, python-wxgtk.
    - debian/rules: Make sed invocations on
      debian/*.{links,postinst,prerm} not cause FTBFS.

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Mon,  9 Jan 2006 16:53:35 -0800

wxwindows2.4 (2.4.4.1.1) unstable; urgency=low

  * Disable building of the common packages.  The 2.6 source package
    builds them now and that precludes 'earlier' versions from being
    provided by this one in future.  It is a bit premature, but
    clearly a goal to punt toward for etch.

 -- Ron Lee <ron@debian.org>  Tue, 23 Aug 2005 00:43:23 +0930
