=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file to build packages from wx CVS source
#
# Sculpted 13/2/2000 by Ron Lee <ron@debian.org> from new and
# variously stolen code :-)
# It makes copious use of the debhelper utilities written by
# Joey Hess and others.

#export DH_VERBOSE=1
export DH_OPTIONS

ifdef DISTCC_HOSTS

 #JOB_COUNT := $(shell set $${DISTCC_HOSTS} > /dev/null 2>&1 ; echo $$(($$\# + $$\#)))
 # Nearly as fast, but doesn't raise the room temperature
 # or saturate the build machines quite so much.
  JOB_COUNT := $(shell set $${DISTCC_HOSTS} > /dev/null 2>&1 ; echo $$\#)
  FAST_MAKE  = $(MAKE) -j $(JOB_COUNT)

else

  FAST_MAKE = $(MAKE)

endif

-include debian/python-version


# If another source package is to supply the common binary packages
# for a particular Debian release, then define this variable to indicate
# the $(release) that is expected to provide it.  Do not define it at
# all if this is to be the default (or only) wx source package for the
# target release.
#
# for etch:
DEBIAN_WX_DEFAULT_VERSION = 2.6


release   := $(shell dpkg-parsechangelog | sed -n 's/^Source: wxwindows//p')
soversion := $(shell grep '^WX_CURRENT=' configure.in | sed 's/WX_CURRENT=\([0-9]\+\).*/\1/')
sorelease := $(release:%-$(DEBIAN_WXFLAVOUR)=%)-$(soversion)$(addprefix -,$(DEBIAN_WXFLAVOUR))

# Base value for alternative priorities.
alt_prio  := $(subst .,,$(release))

pydir     := usr/lib/$(python_ver)/site-packages
wxpydir   := $(pydir)/wx-$(release)-gtk-ansi

cross_host  := i586-mingw32msvc
cross_build := $(shell ./config.guess)

config_cache       = ../config_deb.cache
config_cache_cross = ../config_deb_cross.cache


# Packages to build:
package_wxbase_lib      := libwxbase$(sorelease)
package_wxbase_dev      := libwxbase$(release)-dev
package_wxbase_dbg      := libwxbase$(release)-dbg

package_gtk_lib         := libwxgtk$(sorelease)
package_gtk_dev         := libwxgtk$(release)-dev
package_gtk_dbg         := libwxgtk$(release)-dbg

package_gtk_contrib     := libwxgtk$(sorelease)-contrib
package_gtk_contrib_dev := libwxgtk$(release)-contrib-dev

package_gtk_py_lib      := python-wxgtk$(release)
package_gtk_py_ver       = python-wxversion
package_gtk_py_tools     = python-wxtools

package_headers         := wx$(release)-headers
package_i18n            := wx$(release)-i18n
package_doc             := wx$(release)-doc
package_examples        := wx$(release)-examples
package_common           = wx-common

# The packages listed here are common to all wx versions, and may be provided
# by another source package if more than one is in the release simultaneously.
common_packages	:= $(package_common) $(package_gtk_py_ver) $(package_gtk_py_tools)


package_gtk_dbg_py      := python-wxgtk$(release)-dbg

package_wxbase_msw_dev  := libwxbase-msw$(release)-dev
package_wxbase_msw_dbg  := libwxbase-msw$(release)-dbg
package_msw_dev         := libwxmsw$(release)-dev
package_msw_dbg         := libwxmsw$(release)-dbg
package_headers_msw     := wx$(release)-headers-msw

# The packages listed here will not be built by default.
extra_packages := $(package_gtk_dbg_py)                                      \
		  $(package_wxbase_msw_dev) $(package_wxbase_msw_dbg)        \
		  $(package_msw_dev) $(package_msw_dbg) $(package_headers_msw)

ifdef DEBIAN_WX_DEFAULT_VERSION

  extra_packages += $(common_packages)

endif


# Build directories:
objdir_wxbase_shared       = objs_wxbase_sh
objdir_wxbase_debug        = objs_wxbase_d
objdir_gtk_shared          = objs_gtk_sh
objdir_gtk_debug           = objs_gtk_d
objdir_gtk_install         = objs_gtk_install
objdir_gtk_contrib_install = objs_gtk_contrib_install
objdir_doc_cruft           = objs_doc_con
objdir_doc                 = docs/wx-manual.html
objdir_examples            = docs/examples
objdir_i18n                = locale

objdir_wxbase_msw_shared   = objs_wxbase_msw_sh
objdir_wxbase_msw_static   = objs_wxbase_msw_st
objdir_wxbase_msw_dbg      = objs_wxbase_msw_d
objdir_msw_shared          = objs_msw_sh
objdir_msw_static          = objs_msw_st
objdir_msw_dbg             = objs_msw_d

objdirs := $(objdir_wxbase_shared) $(objdir_wxbase_debug)                    \
	   $(objdir_gtk_shared) $(objdir_gtk_debug)                          \
	   $(objdir_gtk_install) $(objdir_gtk_contrib_install)               \
	   $(objdir_doc_cruft) $(objdir_doc) $(objdir_examples)              \
	   $(objdir_wxbase_msw_shared) $(objdir_wxbase_msw_static)           \
	   $(objdir_wxbase_msw_dbg) $(objdir_msw_shared) $(objdir_msw_static)\
	   $(objdir_msw_dbg)

#	note that the i18n package is actually arch indep (once built)
#	but must be built (and installed) during the arch any phase as
#	it's pulled out of the wxGTK shared lib package.
#
#       similarly some of the wxpython packages are arch indep too, but
#       all files for it are installed during the arch any phase.


# Build stamps:
build_arch_stamps = build-wxbase-shared-stamp build-wxbase-debug-stamp       \
                    build-gtk-shared-stamp build-gtk-debug-stamp             \
                    build-contrib-shared-stamp                               \
		    build-gtk-py-stamp build-i18n-stamp

build_indep_stamps = build-examples-stamp build-doc-stamp

build_cross_stamps = build-wxbase-msw-shared-stamp build-wxbase-msw-static-stamp \
		     build-wxbase-msw-dbg-stamp build-msw-shared-stamp       \
		     build-msw-static-stamp build-msw-dbg-stamp

build_stamps_native := $(build_arch_stamps) $(build_indep_stamps)

build_stamps := $(build_stamps_native) $(build_cross_stamps)


# Install targets:
install_all_arch = install-wxbase-lib install-wxbase-dev install-wxbase-dbg  \
                   install-gtk-lib install-gtk-dev install-gtk-dbg           \
                   install-gtk-contrib install-gtk-contrib-dev install-gtk-py\
                   install-headers install-i18n

ifndef DEBIAN_WX_DEFAULT_VERSION

  install_all_arch += install-common

endif

install_all_indep = install-examples install-doc

install_all_cross = install-wxbase-msw-dev install-wxbase-msw-dbg            \
		    install-msw-dev install-msw-dbg install-headers-msw

install_all_native := $(install_all_arch) $(install_all_indep)

install_all := $(install_all_native) $(install_all_cross)


wxconfig := $(shell pwd)/$(objdir_gtk_shared)/wx-config          \
                --prefix=$(shell pwd)                            \
                --exec-prefix=$(shell pwd)/$(objdir_gtk_shared)

wxconfig-dbg := $(shell pwd)/$(objdir_gtk_debug)/wx-config       \
                --prefix=$(shell pwd)                            \
                --exec-prefix=$(shell pwd)/$(objdir_gtk_debug)


# The Rules:

debian/python-version:
	echo python_ver := python$(shell python -c "import sys;print sys.version[:3]") > $@

debian/control: $(addprefix debian/,control.in python-version)
	sed -e "s/=V/$(release)/g;     \
		s/=SOV/$(sorelease)/g; \
		s/=PY/$(python_ver)/g" \
		< debian/control.in > debian/control

control-files-stamp: debian/control
	dh_testdir
	@for f in links postinst prerm; do                                   \
		echo "generating control file $(package_wxbase_dev).$$f";    \
		sed -e "s/=V/$(release)/g;                                   \
			s/=PRIO/$(alt_prio)/g"                               \
			< debian/libwxbase-dev.$$f                           \
			> debian/$(package_wxbase_dev).$$f;                  \
	done;
	@for f in links postinst prerm; do                                   \
		echo "generating control file $(package_wxbase_dbg).$$f";    \
		sed -e "s/=V/$(release)/g;                                   \
			s/=PRIO/$(alt_prio)/g"                               \
			< debian/libwxbase-dbg.$$f                           \
			> debian/$(package_wxbase_dbg).$$f;                  \
	done;
	@for f in links postinst prerm; do                                   \
		echo "generating control file $(package_gtk_dev).$$f";       \
		sed -e "s/=V/$(release)/g;                                   \
