## wxwindows2.4 2.4.5.1ubuntu2

=== debian/changelog ===
wxwindows2.4 (2.4.5.1ubuntu2) feisty; urgency=low

  * Rebuild for ldbl128 change on powerpc and sparc.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  2 Nov 2006 10:28:07 +0000
