## wxwindows2.4 2.4.5.1.1

=== debian/changelog ===
wxwindows2.4 (2.4.5.1.1) unstable; urgency=low

  * NMU
  * Build using python2.4. Closes: #373411.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Oct 2006 11:53:37 +0200
