=== debian/rules ===
--- 
+++ 
@@ -9,18 +9,26 @@
 #export DH_VERBOSE=1
 export DH_OPTIONS
 
-ifdef DISTCC_HOSTS
-
+ifdef CONCURRENCY_LEVEL
+
+  # A user who knows what they want, that's like gold...
+  # respect their precious opinion of how much blue smoke to use.
+  JOB_COUNT := $(CONCURRENCY_LEVEL)
+
+else ifdef DISTCC_HOSTS
+
+ # Otherwise, if they have a cluster, try to put it to good use.
+  JOB_COUNT := $(shell set $${DISTCC_HOSTS} > /dev/null 2>&1 ; echo $$\#)
+
+ # Not much faster, but it might keep you warm in winter...
  #JOB_COUNT := $(shell set $${DISTCC_HOSTS} > /dev/null 2>&1 ; echo $$(($$\# + $$\#)))
- # Nearly as fast, but doesn't raise the room temperature
- # or saturate the build machines quite so much.
-  JOB_COUNT := $(shell set $${DISTCC_HOSTS} > /dev/null 2>&1 ; echo $$\#)
+
+endif
+
+ifdef JOB_COUNT
   FAST_MAKE  = $(MAKE) -j $(JOB_COUNT)
-
 else
-
   FAST_MAKE = $(MAKE)
-
 endif
 
 -include debian/python-version
@@ -31,8 +39,6 @@
 # the $(release) that is expected to provide it.  Do not define it at
 # all if this is to be the default (or only) wx source package for the
 # target release.
-#
-# for etch:
 DEBIAN_WX_DEFAULT_VERSION = 2.6
 
 
@@ -189,27 +195,22 @@
 	echo python_ver := python$(shell python -c "import sys;print sys.version[:3]") > $@
 
 debian/control: $(addprefix debian/,control.in python-version)
-	sed -e "s/=V/$(release)/g;     \
-		s/=SOV/$(sorelease)/g; \
-		s/=PY/$(python_ver)/g" \
+	sed -e 's/=V/$(release)/g;s/=SOV/$(sorelease)/g;s/=PY/$(python_ver)/g'\
 		< debian/control.in > debian/control
 
 control-files-stamp: debian/control
 	dh_testdir
-	@for f in links postinst prerm; do                                   \
+	@for f in postinst prerm; do                                         \
 		echo "generating control file $(package_wxbase_dev).$$f";    \
-		sed -e "s/=V/$(release)/g;                                   \
-			s/=PRIO/$(alt_prio)/g"                               \
+		sed -e 's/=V/$(release)/g;                                  '\
+'			s/=PRIO/$(alt_prio)/g'                               \
 			< debian/libwxbase-dev.$$f                           \
 			> debian/$(package_wxbase_dev).$$f;                  \
 	done;
-	@for f in links postinst prerm; do                                   \
+	@for f in postinst prerm; do                                         \
 		echo "generating control file $(package_wxbase_dbg).$$f";    \
-		sed -e "s/=V/$(release)/g;                                   \
-			s/=PRIO/$(alt_prio)/g"                               \
+		sed -e 's/=V/$(release)/g;                                  '\
+'			s/=PRIO/$(alt_prio)/g'                               \
 			< debian/libwxbase-dbg.$$f                           \
 			> debian/$(package_wxbase_dbg).$$f;                  \
 	done;
-	@for f in links postinst prerm; do                                   \
-		echo "generating control file $(package_gtk_dev).$$f";       \
-		sed -e "s/=V/$(release)/g;                                   \
