## wxwindows2.4 2.4.5.1.1ubuntu1

=== debian/changelog ===
wxwindows2.4 (2.4.5.1.1ubuntu1) hardy; urgency=low

  * Merge from debian unstable (LP: #164599), remaining changes:
    - debian/control*:
      + Set Maintainer to Ubuntu MOTU Developers.
      + Set XSBC-Original-Maintainer field.
      + Build-Depends: libglu1-xorg-dev instead of the debian transitional
        package libglu1-mesa-dev.
    - debian/rules:
      + Keep Debian's sed hack to prevent FTBFS.
    - {locale,samples/internat}/wxstd.po:
      + Maintain use of Debian's version.
  * The "new new" debian python policy has taken effect, meaning they now
    build using python2.4 also.

 -- Kenneth Drake <kd.drake@ou.edu>  Wed, 21 Nov 2007 19:23:49 +0000
