## wxwindows2.4 2.4.5.1.1+etch1

=== debian/changelog ===
wxwindows2.4 (2.4.5.1.1+etch1) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fixed Integer overflow in the wxImage::Create function
    (CVE-2009-2369)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 18 Sep 2009 18:01:40 +0200
