=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: wxwindows2.4
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>=4.0), flex, bison, gettext, libgtk1.2-dev, python2.4, python2.4-dev, zlib1g-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, libgl1-mesa-dev | libgl-dev, libglu1-xorg-dev | libglu-dev, libesd0-dev
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
+Build-Depends: debhelper (>=4.0), flex, bison, gettext, libgtk1.2-dev, python2.4, python2.4-dev, zlib1g-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev
+Maintainer: Ron Lee <ron@debian.org>
 Standards-Version: 3.6.2.1
 
 Package: libwxbase2.4-1
@@ -266,3 +265,4 @@
  Interface) and other facilities on more than one platform.  Version 2.4
  currently supports subsets of GTK+, Motif, and MS Windows.
  .
+ This package contains examples of using the wxWindows toolkit in
